AplasAplas API Reference

Update an application partially

PATCH
/index/{indexId}/application/{applicationId}

Authorization

BearerAuth
AuthorizationBearer <token>

API authentication via Authorization: Bearer <your-api-key>. Obtain your API key from Config → API in the Aplas web app.

In: header

Path Parameters

indexId*string

The id of the containing index

applicationId*string

The id of the application to update

Request Body

application/json

The application to update (partial properties of the application allowed)

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X PATCH "https://api.au.aplas.com/api/v2/index/id/application/id" \  -H "Content-Type: application/json" \  -d '{    "id": "id",    "name": "Application A",    "mapSize": "Large",    "tagIds": [      "id_tag"    ],    "description": "More information",    "status": "Standard",    "customFieldA": "Custom Field Value",    "health": [      {        "label": "arch",        "value": "healthy"      },      {        "label": "ops",        "value": "normal"      },      {        "label": "dev",        "value": "unhealthy"      },      {        "label": "overall",        "value": "normal"      }    ],    "componentIds": [      "id_component_1",      "id_component_2"    ]  }'
Empty
{
  "code": 500,
  "message": "Internal server error"
}